> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-3a82795f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# プライベート エンドポイントの設定を取得

> プライベート エンドポイントの設定に必要な情報



## OpenAPI

````yaml /ja/products/cloud/api-reference/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/privateEndpointConfig
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/privateEndpointConfig:
    get:
      tags:
        - Service
      summary: プライベート エンドポイントの設定を取得
      description: プライベート エンドポイントの設定に必要な情報
      parameters:
        - description: 要求された組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 要求されたサービスの ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/PrivateEndpointConfig'
                  status:
                    description: HTTP ステータス コード。
                    example: 200
                    type: number
                type: object
          description: 成功時のレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: エラーの詳細な説明。
                    type: string
                  status:
                    description: HTTP ステータス コード。
                    example: 400
                    type: number
                type: object
          description: クライアント エラーと判断される何らかの理由により、サーバーはリクエストを処理できないか、処理しません。
components:
  schemas:
    PrivateEndpointConfig:
      properties:
        endpointServiceId:
          description: >-
            AWS（Service Name）、GCP（Target Service）、または AZURE（Private Link
            Service）リソースを使用して VPC 内に作成したインターフェイスエンドポイントの一意の識別子
          type: string
        privateDnsHostname:
          description: 作成した VPC のプライベート DNS ホスト名
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud コンソールで取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````